Bug 1675894 - roca-detect: FTBFS in Fedora rawhide/f30
Summary: roca-detect: FTBFS in Fedora rawhide/f30
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: roca-detect
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 21:49 UTC by Fedora Release Engineering
Modified: 2019-08-13 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 21:49 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 21:49 UTC, Fedora Release Engineering
no flags Details
state.log (481 bytes, text/plain)
2019-02-11 21:49 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 21:49:21 UTC
roca-detect failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32472335


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix roca-detect at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
roca-detect will be orphaned. Before branching of Fedora 31,
roca-detect will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 21:49:23 UTC
Created attachment 1532679 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 21:49:25 UTC
Created attachment 1532680 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 21:49:27 UTC
Created attachment 1532681 [details]
state.log

Comment 4 Fedora Release Engineering 2019-04-26 23:32:13 UTC
Dear Maintainer,

your package has not been built successfully in f30. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
can be orphaned if this bug remains in NEW state more than 8 weeks.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 5 Stuart D Gathman 2019-04-27 18:05:33 UTC
The issue here is that python3-pgpdump (and python2) is orphaned, and roca-detect depends on it.  I could adopt pgpdump - but I'm still trying to figure out this modular stuff to keep openas2 going.  Roca-detect scans for a particular type of weak RSA key, and most updated key generation software avoids this weakness.  But being able to scan is good because there are old keys and proprietary routers and stuff.

Comment 6 Stuart D Gathman 2019-04-27 18:42:47 UTC
Maybe I could bundle pgpdump?

Comment 7 Fedora Update System 2019-04-28 00:09:20 UTC
roca-detect-1.2.12-6.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ac03b691cb

Comment 8 Stuart D Gathman 2019-04-28 00:13:49 UTC
I bundled pgpdump3.  I probably did it all wrong.  I can adopt the python3-pgpdump package, but I've got a lot on my plate and went for a quick and dirty.  If someone else adopts python3-pgpdump, then it will conflict with roca-detect - which is a clue that I did it wrong.  The change is only in rawhide and f30-testing, so it can be undone.

Comment 9 Fedora Update System 2019-04-29 17:40:27 UTC
roca-detect-1.2.12-6.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ac03b691cb

Comment 10 Stuart D Gathman 2019-05-01 22:28:55 UTC
I think a better solution is to make a sub-package for pgpdump.  That way, if someone adopts pgpdump, a higher version or release will override the one from here.

Comment 11 Ben Cotton 2019-08-13 16:48:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.


Note You need to log in before you can comment on or make changes to this bug.